{% import 'macros.jinja2' as macros -%}
<?xml version="1.0" encoding="UTF-8" ?>
<FDSNStationXML xmlns="http://www.fdsn.org/xml/station/1" schemaVersion="1.1"
                xsi:schemaLocation="http://www.fdsn.org/xml/station/1 http://www.fdsn.org/xml/station/fdsn-station-1.1.xsd"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:resif="http://www.fdsn.org/xml/station/1/resif">
    <Source>RESIF-SI</Source>
    <Sender>RESIF-DC</Sender>
    <Module>RESIF WEB SERVICE: fdsnws-station | version: 1.1.1 </Module>
    <ModuleURI>{{ settings.api_url() }}</ModuleURI>
    <Created>{{ now.isoformat() }}</Created>

    {% for network_ in networks.values() %}
        {% set network = network_['network'] %}
        <Network code="{{ network.code }}"{% if network.altcode %} alternateCode="{{network.altcode }}"{% endif %} startDate="{{ network.starttime.isoformat() }}"{% if network.end %} endDate="{{ network.end.isoformat() }}"{% endif %} restrictedStatus="{{ network.policy }}">

            {% if network.description %}
                <Description>{{ network.description }}</Description>
            {% endif %}

            {% for identifier in network.identifiers %}
                {{ macros.identifier(identifier) }}
            {% endfor %}

            {% for comment in network.comments %}
                {{ macros.comment(comment) }}
            {% endfor %}

            {% for operator in network.operators %}
                {{ macros.operator(operator) }}
            {% endfor %}

            <TotalNumberStations>{{ network.nb_station }}</TotalNumberStations>
            <SelectedNumberStations>{{ network_['stations']|length }}</SelectedNumberStations>

            {% for station in network_['stations'] %}
                <Station code="{{ station.code }}" startDate="{{ station.starttime.isoformat() }}"{% if station.end %} endDate="{{ station.end.isoformat() }}"{% endif %} restrictedStatus="{{ station.policy }}" resif:alternateNetworkCodes="{{ network.altcode }}">

                {% if station.description %}
                    <Description>{{ station.description }}</Description>
                {% endif %}

                {% for identifier in station.identifiers %}
                    {{ macros.identifier(identifier) }}
                {% endfor %}

                {% for comment in station.comments %}
                    {{ macros.comment(comment) }}
                {% endfor %}

                {% if station.latitude and station.latitude.latitude != None %}
                    <Latitude>{{ station.latitude.latitude }}</Latitude>
                {% endif %}
                {% if station.longitude and station.longitude.longitude != None %}
                    <Longitude>{{ station.longitude.longitude }}</Longitude>
                {% endif %}
                {% if station.elevation and station.elevation.distance != None %}
                    <Elevation>{{ station.elevation.distance }}</Elevation>
                {% endif %}

                {% if station.site %}
                    {{ macros.site(station.site) }}
                {% endif %}

                {% if station.waterlevel and station.waterlevel.waterlevel != None %}
                    <WaterLevel>{{ station.waterlevel.waterlevel }}</WaterLevel>
                {% endif %}
                {% if station.vault and station.vault.vault != None %}
                    <Vault>{{ station.vault.vault }}</Vault>
                {% endif %}
                {% if station.geology and station.geology.geology != None %}
                    <Geology>{{ station.geology.geology }}</Geology>
                {% endif %}

                {% for equipment in station.equipments %}
                    {{ macros.equipment(equipment) }}
                {% endfor %}

                {% for operator in station.operators %}
                    {{ macros.operator(operator) }}
                {% endfor %}

                {% if station.creationdate %}
                    <CreationDate>{{ station.creationdate.isoformat() }}</CreationDate>
                {% endif %}
                {% if station.termination %}
                    <TerminationDate>{{ station.termination.isoformat() }}</TerminationDate>
                {% endif %}

                <TotalNumberChannels>{{ station.nb_channel }}</TotalNumberChannels>

                {% for external_reference in station.external_references %}
                    {{ macros.external_reference(external_reference) }}
                {% endfor %}

                </Station>
            {% endfor %}

        </Network>
    {% endfor %}
</FDSNStationXML>